/* 當你想為某一個區塊或方塊，增加背景，請在該區塊/方塊上增加class名稱
例如：

在HTML裡：
<div class="abc">我要增加背景</div> 

在css裡：
.abc{
    background-image: url(../images/body_bg.webp);  <------圖檔位置
    background-position: center; <-----圖片在區塊/方塊裡的定位
    background-size: cover;  <-----圖片在區塊/方塊裡的大小
}

 */

/* 補充 
    學習資料
    https://ithelp.ithome.com.tw/articles/10223887
    https://ithelp.ithome.com.tw/articles/10224214
*/



/* 全站背景 */
body {
    background-image: url(../images/bg.jpg);
    background-size: cover;
    background-position: top center;

}


main {
    background-image: url(../images/bg2.png);
    background-size: 2400px;
    background-position: top center;

}


@media screen and (max-width: 767px) {
    main {
        background-image: url(../images/bg2-mb.png);
        background-size: 100%;
        background-position: top center;
    }
}





.nocarslideinnBox01 {
    background-color: #084B7D;
    padding: 10px;
}

/* 原價特價折疊控制 打開變1列 關掉變2列 */
.productSetprice .priceBox {
    flex-direction: row !important;
}

/* logo區圖片大小控制 */
.logooutbox .logoinn {
    flex-basis: 11%;
}

.swiperCover .swiper-slide-next,
.swiperCover .swiper-slide-last {
    opacity: .5;
}

/* .swiper-container-3d .swiper-slide-shadow-left, .swiper-container-3d .swiper-slide-shadow-right{
    background-image: none;
} */

/* 其他東西自己寫這↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓ */


.squarepppinfoinn-box.pppinfobox {
    background: #075F9E;
    text-decoration: none;
    color: #fff;
}



/* all */
.cardBox {
    background: #ffe0b3;
    border: 6px solid #fff;
    border-radius: 30px;
    padding: 40px 35px 30px 35px;
    margin-top: -45px;
}

@media screen and (max-width: 991px) {
    .cardBox {
        background: #ffe0b3;
        border: 6px solid #fff;
        border-radius: 25px;
        padding: 25px 20px 15px 20px;
        margin-top: -30px;
    }

    .dLgNone {
        display: none;
    }
}

@media screen and (max-width: 767px) {
    .cardBox {
        background: #ffe0b3;
        border: 4px solid #fff;
        border-radius: 20px;
        padding: 30px 10px 10px 10px;
        margin-top: -30px;
    }

    .dMdNone {
        display: none;
    }
}

/* kv */
#kvTopBN {
    background-image: url(../images/kv-bg.png);
    background-size: cover;
    background-position: top center;
}


@media screen and (max-width: 767px) {
    #kvTopBN {
        background-image: url(../images/kv-bg-mb.png);
        background-size: cover;
        background-position: top center;
    }
}

.title {
    background-image: url(../images/kv-info.png);
    background-size: cover;
}

.title-mb {
    background-image: url(../images/kv-info-mb.png);
    background-size: cover;
}

/* method */
#method {
    background-color: rgba(255, 255, 255, 0.5);
}

section#method a {
    padding: 0 3px;
    color: rgb(255, 0, 0);
}

section#method a:hover {
    color: white;
    background-color: rgb(255, 0, 0);
    text-shadow: none;
}


/* 斷點區 */

@media screen and (max-width: 1659px) {}

@media screen and (max-width: 1399px) {}

@media screen and (max-width: 1199px) {}

@media screen and (max-width: 991px) {}

@media screen and (max-width: 767px) {
    .actablebox {
        font-size: 14px;
    }

    .actablebox th.table-title {
        font-size: 1.2rem;
    }
}

@media screen and (max-width: 640px) {
    .logooutbox .logoinn {
        flex-basis: 24%;
    }
}

@media screen and (max-width: 480px) {}


/* 上下移動 */
.hot_1 {
    -webkit-animation: baloon_1 3s infinite;
    -moz-animation: baloon_1 3s infinite;
    -ms-animation: baloon_1 3s infinite;
    -o-animation: baloon_1 3s infinite;
    animation: baloon_1 3s infinite;
    -webkit-animation-direction: alternate;
    -moz-animation-direction: alternate;
    -ms-animation-direction: alternate;
    -o-animation-direction: alternate;
    animation-direction: alternate;
}

@-webkit-keyframes baloon_1 {
    0% {
        transform: translateY(20px);
    }

    50% {
        transform: translateY(50px);
    }

    100% {
        transform: translateY(20px);
    }
}

@-moz-keyframes baloon_1 {
    0% {
        transform: translateY(20px);
    }

    50% {
        transform: translateY(50px);
    }

    100% {
        transform: translateY(20px);
    }
}

@-ms-keyframes baloon_1 {
    0% {
        transform: translateY(20px);
    }

    50% {
        transform: translateY(50px);
    }

    100% {
        transform: translateY(20px);
    }
}

@-o-keyframes baloon_1 {
    0% {
        transform: translateY(20px);
    }

    50% {
        transform: translateY(50px);
    }

    100% {
        transform: translateY(20px);
    }
}

@keyframes baloon_1 {
    0% {
        transform: translateY(20px);
    }

    50% {
        transform: translateY(50px);
    }

    100% {
        transform: translateY(20px);
    }
}


#snowMask {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: url(../images/snow1.png), url(../images/snow2.png);
    -webkit-animation: 15s snow linear infinite;
    animation: 15s snow linear infinite;
    pointer-events: none;
    z-index: 99;
}

@-webkit-keyframes snow {
    0% {
        background-position: 0 0, 0 0
    }

    100% {
        background-position: 500px 500px, 1000px 500px
    }
}

@keyframes snow {
    0% {
        background-position: 0 0, 0 0
    }

    100% {
        background-position: 500px 500px, 1000px 500px
    }
}